vfontas(1)

Name

vfontas — VGA font file assembler

Syntax

vfontas [-EGW] [-D directory] [-c|--create] [-f file] [-x|--extract]

Description

VFontAS (VGA font file assembler). This small utility works on 8x16x256 bit raw font files (FNT). It can extract the chars from a FNT, that is, convert them to a textual bitmap, and merge them back; mainly to create fonts.

Syntax

-D directory
    Directory to read/write glyphs from/to.

-E  Create an empty font file.

-G  Convert a raw 8x16 FNT file from stdin to a 9x16 PSF2 suitable for fbdev, while extending the 8th column to the 9th column like the PC VGA BIOS mode 01h does.

-W  Convert a raw 8x16 FNT file from stdin to a 16x16 PSF2, mimicing 40x25 text mode on a 80x25 display.

-c, --create
    Create a new FNT file by readnig all glyphs from the directory specified by -D.

-f file
    Read/write from/to the VGA font stored in file.

-x, --extract
    Extract the VGA font file's glyphs into the directory specified by -D.

Only one of -E, -c or -x can be specified.

See also

hxtools(7)